% defines variance function. 
% where mui is the mean vector for the ith cluster
% called by ZIGEEfit

function [vmui]=getvmui(mui)

global  N VARFUNCTION;

if (strcmp(VARFUNCTION,'constant')) 
  vmui=ones(size(mui));

elseif (strcmp(VARFUNCTION,'identity'))    % for example, Poisson dist.
  vmui=mui;

elseif (strcmp(VARFUNCTION,'binomial')) 
  vmui=(mui).*(1-mui);

elseif (strcmp(VARFUNCTION,'square')) 
  vmui= mui.^2;

end;

